Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.wsrm
Class AcksTo

    java.lang.Object
      org.apache.sandesha2.wsrm.AcksTo

All Implemented Interfaces:
  IOMRMElement

    public class AcksTo

extends java.lang.Object
implements IOMRMElement

Represents an AcksTo element which comes within Create Sequence messages.

Constructor Summary
`AcksTo(org.apache.axis2.addressing.EndpointReference epr, java.lang.String rmNamespaceValue, java.lang.String addressingNamespaceValue)`
`AcksTo(java.lang.String rmNamespaceValue)`

Method Summary
`java.lang.Object` | `fromOMElement(org.apache.axiom.om.OMElement element)`
`java.lang.String` | `getAddressingNamespaceValue()`
`org.apache.axis2.addressing.EndpointReference` | `getEPR()`
`java.lang.String` | `getNamespaceValue()`
`boolean` | `isNamespaceSupported(java.lang.String namespaceName)`
`org.apache.axiom.om.OMElement` | `toOMElement(org.apache.axiom.om.OMElement element)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AcksTo

    public AcksTo(java.lang.String rmNamespaceValue)
           throws org.apache.axis2.AxisFault

Throws:
  `org.apache.axis2.AxisFault`

### AcksTo

    public AcksTo(org.apache.axis2.addressing.EndpointReference epr,
                  java.lang.String rmNamespaceValue,
                  java.lang.String addressingNamespaceValue)
           throws org.apache.axis2.AxisFault

Throws:
  `org.apache.axis2.AxisFault`

Method Detail

### getNamespaceValue

    public java.lang.String getNamespaceValue()

  Specified by:
    `getNamespaceValue` in interface `IOMRMElement`

### getAddressingNamespaceValue

    public java.lang.String getAddressingNamespaceValue()

### fromOMElement

    public java.lang.Object fromOMElement(org.apache.axiom.om.OMElement element)
                                   throws org.apache.axiom.om.OMException,
                                          org.apache.axis2.AxisFault

  Specified by:
    `fromOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`
    `org.apache.axis2.AxisFault`

### toOMElement

    public org.apache.axiom.om.OMElement toOMElement(org.apache.axiom.om.OMElement element)
                                              throws org.apache.axiom.om.OMException,
                                                     org.apache.axis2.AxisFault

  Specified by:
    `toOMElement` in interface `IOMRMElement`
  Throws:
    `org.apache.axiom.om.OMException`
    `org.apache.axis2.AxisFault`

### getEPR

    public org.apache.axis2.addressing.EndpointReference getEPR()

### isNamespaceSupported

    public boolean isNamespaceSupported(java.lang.String namespaceName)

  Specified by:
    `isNamespaceSupported` in interface `IOMRMElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.